> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find by details

> Find organizations such as central banks, regulators, government bodies and NGOs. Search by name or description and narrow the results by type, country, ultimate parent or owner.



## OpenAPI

````yaml /api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/organizations
openapi: 3.0.3
info:
  title: Bigdata Knowledge Graph API
  version: 1.0.0
  description: >-
    Access structured data from the Knowledge Graph to find companies, people,
    places, and other entities with detailed information.
servers:
  - url: https://api.bigdata.com/
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/knowledge-graph/organizations:
    post:
      tags:
        - Organizations
      summary: Find by details
      description: >-
        Find organizations such as central banks, regulators, government bodies
        and NGOs. Search by name or description and narrow the results by type,
        country, ultimate parent or owner.
      operationId: findOrganizations
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FindOrganizationsRequest'
      responses:
        '200':
          description: Successful response with organizations data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FindOrganizationsResponse'
components:
  schemas:
    FindOrganizationsRequest:
      type: object
      properties:
        query:
          type: string
          description: >-
            Text query to search for organizations by name or description.
            Examples: 'Federal Reserve', 'European Commission'
          example: Federal Reserve
        types:
          type: array
          items:
            type: string
          description: >-
            Organization types, as published in the `type` field of results
            (e.g., 'Central Bank', 'Bank', 'Council')
          example:
            - Central Bank
        countries:
          type: array
          items:
            type: string
            pattern: ^[A-Z]{2}$
          description: >-
            Country codes using the ISO 3166-1 A-2 format (e.g., 'US' for United
            States, 'FR' for France, 'GB' for Great Britain)
          example:
            - US
        owners:
          type: array
          items:
            type: string
          description: >-
            Names of the owning organization, as published in the `owner` field
            of results
          example:
            - United States Government
      description: >-
        Request body for finding organizations. Each field is optional. However,
        you must provide at least one field to perform a valid search. The
        values a filter accepts can be listed with `GET
        /v1/knowledge-graph/organizations/values/{filter}`.
      example:
        query: Federal Reserve
        types:
          - Central Bank
        countries:
          - US
    FindOrganizationsResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/Organization'
          description: Array of organizations results
        metadata:
          type: object
          properties:
            request_id:
              type: string
              description: Unique request identifier
              example: 2a25111e-0043-4fe2-946e-668aa5af928a
            timestamp:
              type: string
              format: date-time
              description: Response timestamp
              example: '2026-07-02T13:24:45.163695+00:00'
          required:
            - request_id
            - timestamp
        usage:
          $ref: '#/components/schemas/Usage'
          description: >-
            Optional. Present for token-billing accounts only. Reports the
            number of tokens consumed by this request.
      required:
        - results
        - metadata
      description: Response containing organizations results and metadata
    Organization:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier in the Knowledge Graph
          example: F38FC4
        name:
          type: string
          description: Name
          example: United States Federal Reserve
        description:
          type: string
          description: Description and overview
          example: >-
            The Federal Reserve System is the central banking system of the
            United States of America. It was created on December 23, 1913.
        type:
          type: string
          description: Organization type
          example: Central Bank
        country:
          type: string
          pattern: ^[A-Z]{2}$
          description: Country code (ISO 3166-1 alpha-2)
          example: US
        owner:
          type: string
          description: Name of the owning organization
      required:
        - id
        - name
      description: Organization entity with detailed information
    Usage:
      type: object
      properties:
        knowledge_graph_tokens:
          type: integer
          description: Number of tokens consumed by this request.
          example: 1
      required:
        - knowledge_graph_tokens
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````